Test::FlatZinc::FlatZincTest Class Reference

Base class for tests for FlatZinc More...

`#include <flatzinc.hh>`

## Public Member Functions

| FlatZincTest (const std::string &name, const std::string &source, const std::string &expected, bool allSolutions=false)
| Construct and register test.
virtual bool | run (void)
| Perform test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Protected Attributes

std::string | _name
std::string | _source
std::string | _expected
bool | _allSolutions

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Base class for tests for FlatZinc

Definition at line 51 of file flatzinc.hh.

## Constructor & Destructor Documentation

## FlatZincTest()

Test::FlatZinc::FlatZincTest::FlatZincTest | ( | const std::string & | name,
|  | const std::string & | source,
|  | const std::string & | expected,
|  | bool | allSolutions = false )

Construct and register test.

Definition at line 38 of file flatzinc.cpp.

## Member Function Documentation

## run()

bool Test::FlatZinc::FlatZincTest::run | ( | void |  | ) |

virtual

Perform test.

Implements Test::Base.

Definition at line 44 of file flatzinc.cpp.

## Member Data Documentation

## _name

std::string Test::FlatZinc::FlatZincTest::_name

protected

Definition at line 53 of file flatzinc.hh.

## _source

std::string Test::FlatZinc::FlatZincTest::_source

protected

Definition at line 54 of file flatzinc.hh.

## _expected

std::string Test::FlatZinc::FlatZincTest::_expected

protected

Definition at line 55 of file flatzinc.hh.

## _allSolutions

bool Test::FlatZinc::FlatZincTest::_allSolutions

protected

Definition at line 56 of file flatzinc.hh.

The documentation for this class was generated from the following files:

- test/flatzinc.hh
- test/flatzinc.cpp